Package com.mapd.thrift.server

## Class MapD.Processor.get_physical_tables<I extends MapD.Iface>

- java.lang.Object
- - org.apache.thrift.ProcessFunction<I,​MapD.get_physical_tables_args>
  - - com.mapd.thrift.server.MapD.Processor.get_physical_tables<I>

Enclosing class:
  MapD.Processor<I extends MapD.Iface>

    public static class MapD.Processor.get_physical_tables<I extends MapD.Iface>
    extends org.apache.thrift.ProcessFunction<I,​MapD.get_physical_tables_args>

### Constructor Summary

Constructors
`get_physical_tables()`

### Method Summary

All Methods Instance Methods Concrete Methods
`MapD.get_physical_tables_args` `getEmptyArgsInstance()`
`MapD.get_physical_tables_result` `getResult​(I iface, MapD.get_physical_tables_args args)`
`protected boolean` `handleRuntimeExceptions()`
`protected boolean` `isOneway()`

### Methods inherited from class org.apache.thrift.ProcessFunction

`getMethodName, process`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### get_physical_tables

    public get_physical_tables()

### Method Detail

#### getEmptyArgsInstance

    public MapD.get_physical_tables_args getEmptyArgsInstance()

Specified by:
  `getEmptyArgsInstance` in class `org.apache.thrift.ProcessFunction<I extends MapD.Iface,​MapD.get_physical_tables_args>`

#### isOneway

    protected boolean isOneway()

Specified by:
  `isOneway` in class `org.apache.thrift.ProcessFunction<I extends MapD.Iface,​MapD.get_physical_tables_args>`

#### handleRuntimeExceptions

    protected boolean handleRuntimeExceptions()

Overrides:
  `handleRuntimeExceptions` in class `org.apache.thrift.ProcessFunction<I extends MapD.Iface,​MapD.get_physical_tables_args>`

#### getResult

    public MapD.get_physical_tables_result getResult​(I iface,
                                                     MapD.get_physical_tables_args args)
                                              throws org.apache.thrift.TException

Specified by:
  `getResult` in class `org.apache.thrift.ProcessFunction<I extends MapD.Iface,​MapD.get_physical_tables_args>`
Throws:
  `org.apache.thrift.TException`